Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html.util
Class JavascriptUtils

    java.lang.Object
      org.apache.myfaces.shared_orchestra.renderkit.html.util.JavascriptUtils

    public final class JavascriptUtils

extends java.lang.Object

Version:
  $Revision: 565663 $ $Date: 2007-08-14 10:47:36 +0200 (Di, 14 Aug 2007) $
Author:
  Manfred Geiler (latest modification by $Author: skitching $), Anton Koinov

Field Summary
`static java.lang.String` | `JAVASCRIPT_DETECTED`

Method Summary
`static java.lang.String` | `encodeString(java.lang.String string)`
`static java.lang.String` | `getOldViewId(javax.faces.context.ExternalContext externalContext)`
`static java.lang.String` | `getValidJavascriptName(java.lang.String s, boolean checkForReservedWord)`
`static java.lang.String` | `getValidJavascriptNameAsInRI(java.lang.String origIdentifier)` Don't use this function - except when compatibility with the RI is a must, as in the name for the clear form parameters script.
`static boolean` | `isJavascriptAllowed(javax.faces.context.ExternalContext externalContext)`
`static boolean` | `isJavascriptDetected(javax.faces.context.ExternalContext externalContext)`
`static void` | `setJavascriptDetected(javax.servlet.http.HttpSession session, boolean value)`
`static void` | `setOldViewId(javax.faces.context.ExternalContext externalContext, java.lang.String viewId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAVASCRIPT_DETECTED

    public static final java.lang.String JAVASCRIPT_DETECTED

Method Detail

### getValidJavascriptNameAsInRI

    public static java.lang.String getValidJavascriptNameAsInRI(java.lang.String origIdentifier)

  Don't use this function - except when compatibility with the RI is a must, as in the name for the clear form parameters script.

### getValidJavascriptName

    public static java.lang.String getValidJavascriptName(java.lang.String s,
                                                          boolean checkForReservedWord)

### encodeString

    public static java.lang.String encodeString(java.lang.String string)

### isJavascriptAllowed

    public static boolean isJavascriptAllowed(javax.faces.context.ExternalContext externalContext)

### setJavascriptDetected

    public static void setJavascriptDetected(javax.servlet.http.HttpSession session,
                                             boolean value)

### isJavascriptDetected

    public static boolean isJavascriptDetected(javax.faces.context.ExternalContext externalContext)

### setOldViewId

    public static void setOldViewId(javax.faces.context.ExternalContext externalContext,
                                    java.lang.String viewId)

### getOldViewId

    public static java.lang.String getOldViewId(javax.faces.context.ExternalContext externalContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.